Functions

# address.cpp File Reference

Implementation of the address. More...

`#include "../../stdafx.h"`
`#include "address.h"`
`#include "../../debug.h"`

Go to the source code of this file.

## Functions
static SOCKET | ResolveLoopProc (addrinfo *runp)
| Helper function to resolve without opening a socket.
static SOCKET | ConnectLoopProc (addrinfo *runp)
| Helper function to resolve a connected socket.
static SOCKET | ListenLoopProc (addrinfo *runp)
| Helper function to resolve a listening.

## Detailed Description

Implementation of the address.

Definition in file address.cpp.

## Function Documentation

static SOCKET ConnectLoopProc | ( | addrinfo * | runp | ) | `[static]`

Helper function to resolve a connected socket.

Parameters:

  | runp | information about the socket to try not

Returns:
  the opened socket or INVALID_SOCKET

Definition at line 291 of file address.cpp.

References NetworkAddress::AddressFamilyAsString(), DEBUG, SetNoDelay(), SetNonBlocking(), and NetworkAddress::SocketTypeAsString().

Referenced by NetworkAddress::Connect().

static SOCKET ListenLoopProc | ( | addrinfo * | runp | ) | `[static]`

Helper function to resolve a listening.

Parameters:

  | runp | information about the socket to try not

Returns:
  the opened socket or INVALID_SOCKET

Definition at line 335 of file address.cpp.

References NetworkAddress::AddressFamilyAsString(), DEBUG, SetNoDelay(), SetNonBlocking(), and NetworkAddress::SocketTypeAsString().

Referenced by NetworkAddress::Listen().

static SOCKET ResolveLoopProc | ( | addrinfo * | runp | ) | `[static]`

Helper function to resolve without opening a socket.

Parameters:

  | runp | information about the socket to try not

Returns:
  the opened socket or INVALID_SOCKET

Definition at line 116 of file address.cpp.

Referenced by NetworkAddress::GetAddress(), NetworkAddress::IsFamily(), and NetworkAddress::Resolve().